POST /api/public/v1/samples/validate HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 807
{
"seed": {
"seed_text": "text",
"url": "text",
"seed_creation_date": "2026-03-10T22:59:46.498Z",
"search_query": "text"
},
"question": {
"question_type": "FORWARD_LOOKING_QUESTION",
"question_text": "text",
"date_close": "2026-03-10T22:59:46.498Z",
"event_date": "2026-03-10T22:59:46.498Z",
"resolution_criteria": "text",
"prediction_date": "2026-03-10T22:59:46.498Z"
},
"label": {
"label": "text",
"label_confidence": 1,
"answer_type": "text",
"resolution_date": "2026-03-10T22:59:46.498Z",
"reasoning": "text",
"answer_sources": "text"
},
"prompt": "text",
"context": [
{
"context_type": "NEWS_CONTEXT",
"rendered_context": "text",
"search_query": "text"
}
],
"rollouts": [
{
"model_name": "text",
"content": "text",
"parsed_output": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"reasoning": "text",
"reward": 1
}
],
"meta": {
"ANY_ADDITIONAL_PROPERTY": "anything"
},
"is_valid": true
}